Page MenuHomePhabricator

Use 'type' => 'user' for username in Special pages
Closed, ResolvedPublic

Description

Currently, username array use 'cssclass' => 'mw-autocomplete-user', This should be removed in the favor of 'type' => 'user'

Per @Volker_E from https://gerrit.wikimedia.org/r/#/c/424504/

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptApr 20 2018, 11:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 428036 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/core@master] Remove cssclass in the favor of 'type' => 'user'

https://gerrit.wikimedia.org/r/428036

Jayprakash12345 triaged this task as Normal priority.Apr 20 2018, 11:43 PM
Jayprakash12345 moved this task from Unsorted to Migrate / Replace on the Technical-Debt board.

Would you do this for Special:Unblock as well?

Change 428036 merged by jenkins-bot:
[mediawiki/core@master] Remove cssclass in the favor of 'type' => 'user'

https://gerrit.wikimedia.org/r/428036

Jayprakash12345 renamed this task from Use 'type' => 'user' for username in Special:Newpages to Use 'type' => 'user' for username in Special pages.Apr 21 2018, 11:14 PM

Change 428131 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/core@master] Remove cssclass in the favor of 'type' => 'user'

https://gerrit.wikimedia.org/r/428131

Change 428132 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/RegexBlock@master] Remove cssclass in the favor of 'type' => 'user'

https://gerrit.wikimedia.org/r/428132

Change 428133 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/core@master] Remove cssclass in the favor of 'type' => 'user'

https://gerrit.wikimedia.org/r/428133

Change 428131 merged by jenkins-bot:
[mediawiki/core@master] Remove cssclass in the favor of 'type' => 'user'

https://gerrit.wikimedia.org/r/428131

Gopavasanth closed this task as Resolved.Apr 22 2018, 2:28 AM
Gopavasanth removed a project: Patch-For-Review.

Change 428138 had a related patch set (by Jayprakash12345) published:
[mediawiki/core@master] Removed unused Module mediawiki.userSuggest

https://gerrit.wikimedia.org/r/428138

Change 428138 merged by jenkins-bot:
[mediawiki/core@master] Removed unused Module mediawiki.userSuggest

https://gerrit.wikimedia.org/r/428138

Change 428133 merged by jenkins-bot:
[mediawiki/core@master] Remove cssclass in the favor of 'type' => 'user'

https://gerrit.wikimedia.org/r/428133

Change 428132 merged by jenkins-bot:
[mediawiki/extensions/RegexBlock@master] Remove cssclass in the favor of 'type' => 'user'

https://gerrit.wikimedia.org/r/428132

Jayprakash12345 closed this task as Resolved.Apr 28 2018, 5:05 PM
Jayprakash12345 removed a project: Patch-For-Review.
Jayprakash12345 removed a subscriber: gerritbot.